'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-baac11a7.js');
require('react');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
var reakitWarning = require('reakit-warning');
require('../Tabbable/Tabbable.js');
require('../Clickable/Clickable.js');
require('../Button/Button.js');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('../Id/IdProvider.js');
require('../Id/IdState.js');
require('../Id/IdGroup.js');
require('reakit-utils/useIsomorphicEffect');
require('reakit-utils/cx');
require('../Disclosure/DisclosureState.js');
var DisclosureContent = require('../Disclosure/DisclosureContent.js');
require('../Disclosure/Disclosure.js');
var HiddenState = require('./HiddenState.js');

var useHidden = createHook.createHook({
  name: "Hidden",
  compose: DisclosureContent.useDisclosureContent,
  useState: HiddenState.useHiddenState,
  useProps: function useProps(_, htmlProps) {
    process.env.NODE_ENV !== "production" ? reakitWarning.warning(true, "`Hidden` has been renamed to `DisclosureContent`. Using `<Hidden />` will no longer work in future versions.", "See https://reakit.io/docs/disclosure") : void 0;
    return htmlProps;
  }
});
var Hidden = createComponent.createComponent({
  as: "div",
  useHook: useHidden
});

exports.Hidden = Hidden;
exports.useHidden = useHidden;
