'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
var Box = require('../Box/Box.js');
var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-baac11a7.js');
var React = require('react');
require('reakit-utils/useSealedState');
var IdProvider = require('./IdProvider.js');
var IdState = require('./IdState.js');

var unstable_useIdGroup = createHook.createHook({
  name: "IdGroup",
  compose: Box.useBox,
  useState: IdState.unstable_useIdState,
  keys: ["id"],
  useOptions: function useOptions(options, htmlProps) {
    var generateId = React.useContext(IdProvider.unstable_IdContext);

    var _React$useState = React.useState(function () {
      return htmlProps.id || options.id || options.baseId || generateId();
    }),
        baseId = _React$useState[0];

    React.useEffect(function () {
      // If there's useIdState and IdGroup has received a different id, then set
      // the baseId on the state.
      if (baseId !== options.baseId) {
        var _options$unstable_set;

        (_options$unstable_set = options.unstable_setBaseId) === null || _options$unstable_set === void 0 ? void 0 : _options$unstable_set.call(options, baseId);
      }
    }, [options.unstable_setBaseId, baseId, options.baseId]);
    return _rollupPluginBabelHelpers._objectSpread2({}, options, {
      baseId: baseId
    });
  },
  useProps: function useProps(options, htmlProps) {
    return _rollupPluginBabelHelpers._objectSpread2({
      id: options.id
    }, htmlProps);
  }
});
var unstable_IdGroup = createComponent.createComponent({
  as: "div",
  useHook: unstable_useIdGroup
});

exports.unstable_IdGroup = unstable_IdGroup;
exports.unstable_useIdGroup = unstable_useIdGroup;
