'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-baac11a7.js');
var React = require('react');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
require('reakit-warning');
require('../Tabbable/Tabbable.js');
require('../Clickable/Clickable.js');
var useAllCallbacks = require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('reakit-utils/createOnKeyDown');
require('../Id/IdProvider.js');
require('../Id/IdState.js');
require('reakit-utils/applyState');
require('../CompositeState-8e21e20f.js');
require('../Id/Id.js');
require('reakit-utils/getDocument');
require('reakit-utils/isTextField');
require('reakit-utils/scrollIntoViewIfNeeded');
require('reakit-utils/useLiveRef');
require('../setTextFieldValue-5b3ffb71.js');
var CompositeItem = require('../Composite/CompositeItem.js');
var TabState = require('./TabState.js');

function getTabPanelId(options) {
  var _options$panels, _options$panels$find;

  return ((_options$panels = options.panels) === null || _options$panels === void 0 ? void 0 : (_options$panels$find = _options$panels.find(function (panel) {
    return panel.groupId === options.id;
  })) === null || _options$panels$find === void 0 ? void 0 : _options$panels$find.id) || undefined;
}

var useTab = createHook.createHook({
  name: "Tab",
  compose: CompositeItem.unstable_useCompositeItem,
  useState: TabState.useTabState,
  useOptions: function useOptions(_ref) {
    var _ref$focusable = _ref.focusable,
        focusable = _ref$focusable === void 0 ? true : _ref$focusable,
        options = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_ref, ["focusable"]);

    return _rollupPluginBabelHelpers._objectSpread2({
      focusable: focusable,
      id: options.stopId
    }, options);
  },
  useProps: function useProps(options, _ref2) {
    var htmlOnClick = _ref2.onClick,
        htmlOnFocus = _ref2.onFocus,
        htmlProps = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_ref2, ["onClick", "onFocus"]);

    var selected = options.selectedId === options.id;
    var onClick = React.useCallback(function () {
      if (options.id && !options.disabled && !selected) {
        var _options$select;

        (_options$select = options.select) === null || _options$select === void 0 ? void 0 : _options$select.call(options, options.id);
      }
    }, [options.disabled, selected, options.select, options.id]);
    var onFocus = React.useCallback(function () {
      if (options.id && !options.disabled && !options.manual && !selected) {
        var _options$select2;

        (_options$select2 = options.select) === null || _options$select2 === void 0 ? void 0 : _options$select2.call(options, options.id);
      }
    }, [options.id, options.disabled, options.manual, selected, options.select]);
    return _rollupPluginBabelHelpers._objectSpread2({
      role: "tab",
      "aria-selected": selected,
      "aria-controls": getTabPanelId(options),
      onClick: useAllCallbacks.useAllCallbacks(onClick, htmlOnClick),
      onFocus: useAllCallbacks.useAllCallbacks(onFocus, htmlOnFocus)
    }, htmlProps);
  }
});
var Tab = createComponent.createComponent({
  as: "button",
  useHook: useTab
});

exports.Tab = Tab;
exports.useTab = useTab;
