'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-baac11a7.js');
require('react');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
require('reakit-warning');
require('../Tabbable/Tabbable.js');
require('../Clickable/Clickable.js');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('reakit-utils/createOnKeyDown');
require('../Id/IdProvider.js');
require('../Id/IdState.js');
require('reakit-utils/applyState');
require('../CompositeState-8e21e20f.js');
require('../Id/Id.js');
require('reakit-utils/getDocument');
require('reakit-utils/isTextField');
require('reakit-utils/scrollIntoViewIfNeeded');
require('reakit-utils/useLiveRef');
require('../setTextFieldValue-5b3ffb71.js');
var CompositeItem = require('../Composite/CompositeItem.js');
var ToolbarState = require('./ToolbarState.js');

var useToolbarItem = createHook.createHook({
  name: "ToolbarItem",
  compose: CompositeItem.unstable_useCompositeItem,
  useState: ToolbarState.useToolbarState
});
var ToolbarItem = createComponent.createComponent({
  as: "button",
  useHook: useToolbarItem
});

exports.ToolbarItem = ToolbarItem;
exports.useToolbarItem = useToolbarItem;
