import * as React from "react";
import { PopoverOptions, PopoverHTMLProps } from "../Popover/Popover";
import { MenuBarOptions, MenuBarHTMLProps } from "./MenuBar";
import { MenuStateReturn } from "./MenuState";
export declare type MenuOptions = Omit<PopoverOptions, "hideOnEsc"> & Pick<MenuStateReturn, "placement"> & MenuBarOptions;
export declare type MenuHTMLProps = PopoverHTMLProps & MenuBarHTMLProps;
export declare type MenuProps = MenuOptions & MenuHTMLProps;
export declare const useMenu: {
    (options?: MenuOptions | undefined, htmlProps?: import("..").TabbableHTMLProps | undefined, unstable_ignoreUseOptions?: boolean | undefined): import("..").TabbableHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: MenuOptions, htmlProps: import("..").TabbableHTMLProps) => MenuOptions;
    __propsAreEqual?: ((prev: Pick<PopoverOptions, "hide" | "visible" | "id" | "unstable_system" | "baseId" | "unstable_idCountRef" | "unstable_setBaseId" | "unstable_animated" | "unstable_animating" | "unstable_stopAnimation" | "unstable_setIsMounted" | "modal" | "setModal" | "unstable_modal" | "hideOnClickOutside" | "preventBodyScroll" | "unstable_initialFocusRef" | "unstable_finalFocusRef" | "unstable_orphan" | "unstable_autoFocusOnShow" | "unstable_autoFocusOnHide" | "unstable_popoverRef" | "unstable_popoverStyles"> & Pick<MenuStateReturn, "placement"> & import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef" | "unstable_setBaseId"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "wrap" | "currentId" | "unstable_virtual" | "orientation" | "groups" | "unstable_moves"> & Pick<import("..").unstable_CompositeStateReturn, "move" | "first" | "last" | "items" | "setCurrentId"> & Pick<Partial<MenuStateReturn>, "orientation"> & Pick<MenuStateReturn, "next" | "move" | "items" | "previous"> & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    }, next: Pick<PopoverOptions, "hide" | "visible" | "id" | "unstable_system" | "baseId" | "unstable_idCountRef" | "unstable_setBaseId" | "unstable_animated" | "unstable_animating" | "unstable_stopAnimation" | "unstable_setIsMounted" | "modal" | "setModal" | "unstable_modal" | "hideOnClickOutside" | "preventBodyScroll" | "unstable_initialFocusRef" | "unstable_finalFocusRef" | "unstable_orphan" | "unstable_autoFocusOnShow" | "unstable_autoFocusOnHide" | "unstable_popoverRef" | "unstable_popoverStyles"> & Pick<MenuStateReturn, "placement"> & import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef" | "unstable_setBaseId"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "wrap" | "currentId" | "unstable_virtual" | "orientation" | "groups" | "unstable_moves"> & Pick<import("..").unstable_CompositeStateReturn, "move" | "first" | "last" | "items" | "setCurrentId"> & Pick<Partial<MenuStateReturn>, "orientation"> & Pick<MenuStateReturn, "next" | "move" | "items" | "previous"> & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    }) => boolean) | undefined;
};
export declare const Menu: import("reakit-system/src/createComponent").Component<"div", MenuOptions>;
