import * as React from "react";
import { unstable_CompositeItemOptions as CompositeItemOptions, unstable_CompositeItemHTMLProps as CompositeItemHTMLProps } from "../Composite/CompositeItem";
import { RadioStateReturn } from "./RadioState";
export declare type RadioOptions = CompositeItemOptions & Pick<Partial<RadioStateReturn>, "state" | "setState"> & {
    /**
     * Same as the `value` attribute.
     */
    value: any;
    /**
     * Same as the `checked` attribute.
     */
    checked?: boolean;
    /**
     * @private
     */
    unstable_checkOnFocus?: boolean;
};
export declare type RadioHTMLProps = CompositeItemHTMLProps & React.InputHTMLAttributes<any>;
export declare type RadioProps = RadioOptions & RadioHTMLProps;
export declare const useRadio: {
    (options?: RadioOptions | undefined, htmlProps?: RadioHTMLProps | undefined, unstable_ignoreUseOptions?: boolean | undefined): RadioHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: RadioOptions, htmlProps: RadioHTMLProps) => RadioOptions;
    __propsAreEqual?: ((prev: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & {
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "baseId" | "unstable_virtual" | "orientation" | "unstable_moves" | "unstable_hasActiveWidget"> & Pick<import("..").unstable_CompositeStateReturn, "down" | "up" | "next" | "first" | "last" | "currentId" | "items" | "registerItem" | "unregisterItem" | "previous" | "setCurrentId"> & {
        stopId?: string | undefined;
    } & Pick<Partial<RadioStateReturn>, "state" | "setState"> & {
        /**
         * Same as the `value` attribute.
         */
        value: any;
        /**
         * Same as the `checked` attribute.
         */
        checked?: boolean | undefined;
        /**
         * @private
         */
        unstable_checkOnFocus?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>, next: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
    } & {
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").unstable_CompositeStateReturn>, "baseId" | "unstable_virtual" | "orientation" | "unstable_moves" | "unstable_hasActiveWidget"> & Pick<import("..").unstable_CompositeStateReturn, "down" | "up" | "next" | "first" | "last" | "currentId" | "items" | "registerItem" | "unregisterItem" | "previous" | "setCurrentId"> & {
        stopId?: string | undefined;
    } & Pick<Partial<RadioStateReturn>, "state" | "setState"> & {
        /**
         * Same as the `value` attribute.
         */
        value: any;
        /**
         * Same as the `checked` attribute.
         */
        checked?: boolean | undefined;
        /**
         * @private
         */
        unstable_checkOnFocus?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>) => boolean) | undefined;
};
export declare const Radio: import("reakit-system/src/createComponent").Component<"input", RadioOptions>;
