import * as React from "react";
import { DisclosureContentOptions, DisclosureContentHTMLProps } from "../Disclosure/DisclosureContent";
import { unstable_IdOptions, unstable_IdHTMLProps } from "../Id/Id";
import { TabStateReturn } from "./TabState";
export declare type TabPanelOptions = DisclosureContentOptions & unstable_IdOptions & Pick<TabStateReturn, "selectedId" | "registerPanel" | "unregisterPanel" | "panels" | "items"> & {
    /**
     * Tab's `stopId`.
     * @deprecated Use `tabId` instead.
     * @private
     */
    stopId?: string;
    /**
     * Tab's id
     */
    tabId?: string;
};
export declare type TabPanelHTMLProps = DisclosureContentHTMLProps & unstable_IdHTMLProps;
export declare type TabPanelProps = TabPanelOptions & TabPanelHTMLProps;
export declare const useTabPanel: {
    (options?: TabPanelOptions | undefined, htmlProps?: import("..").BoxHTMLProps | undefined, unstable_ignoreUseOptions?: boolean | undefined): import("..").BoxHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: TabPanelOptions, htmlProps: import("..").BoxHTMLProps) => TabPanelOptions;
    __propsAreEqual?: ((prev: import("..").BoxOptions & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef" | "unstable_setBaseId"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").DisclosureStateReturn>, "visible" | "unstable_animated" | "unstable_animating" | "unstable_stopAnimation" | "unstable_setIsMounted"> & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<TabStateReturn, "items" | "selectedId" | "panels" | "registerPanel" | "unregisterPanel"> & {
        /**
         * Tab's `stopId`.
         * @deprecated Use `tabId` instead.
         * @private
         */
        stopId?: string | undefined;
        /**
         * Tab's id
         */
        tabId?: string | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    }, next: import("..").BoxOptions & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef" | "unstable_setBaseId"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").DisclosureStateReturn>, "visible" | "unstable_animated" | "unstable_animating" | "unstable_stopAnimation" | "unstable_setIsMounted"> & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<TabStateReturn, "items" | "selectedId" | "panels" | "registerPanel" | "unregisterPanel"> & {
        /**
         * Tab's `stopId`.
         * @deprecated Use `tabId` instead.
         * @private
         */
        stopId?: string | undefined;
        /**
         * Tab's id
         */
        tabId?: string | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    }) => boolean) | undefined;
};
export declare const TabPanel: import("reakit-system/src/createComponent").Component<"div", TabPanelOptions>;
